<?php

declare(strict_types=1);

namespace App\Policies;

use App\Models\Newsletter;
use App\Models\User;

class NewsletterPolicy
{
    public function viewAny(User $user): bool
    {
        return $user->hasRole('admin');
    }

    public function view(User $user, Newsletter $newsletter): bool
    {
        return $user->hasRole('admin');
    }

    public function create(User $user): bool
    {
        return $user->hasRole('admin');
    }

    public function update(User $user, Newsletter $newsletter): bool
    {
        return $user->hasRole('admin');
    }

    public function delete(User $user, Newsletter $newsletter): bool
    {
        return $user->hasRole('admin');
    }
}
